Skip to content
WP Engine Documentation

List backups for a WordPress installation

GET
/installs/{install_id}/backups
curl --request GET \
--url 'https://api.wpengineapi.com/v1/installs/example/backups?limit=100&offset=0' \
--header 'Authorization: Basic <credentials>'

Returns a paginated list of backups for the specified WordPress installation, in all states (requested, in_progress, completed, aborted).

install_id
required
string format: uuid

ID of install

limit
integer
default: 100 <= 100

(Optional) The number of records to return

offset
integer
0

(Optional) The first record of the result set to be retrieved

List of backups for install

Media type application/json
object
previous

Path to the previous page of results

string
next

Path to the next page of results

string
count

The total number of results

integer
results
Array<object>
object
id
required

The unique identifier of the backup

string format: uuid
status
required

State of the backup.

string
Allowed values: requested in_progress completed aborted
description

Human-readable description provided when the backup was requested

string
create_time

Timestamp when the backup was created

string format: date-time
complete_time

Timestamp when the backup completed. null while the backup is still in progress.

string format: date-time
wordpress_version

WordPress version of the install at the time the backup was taken

string
Example
{
"previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0",
"next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200",
"count": 225,
"results": [
{
"id": "e41fa98f-ea80-4654-b229-a9b765d0863a",
"status": "requested",
"description": "Pre-deploy snapshot",
"create_time": "2024-01-15T10:00:00Z",
"complete_time": "2024-01-15T10:30:00Z",
"wordpress_version": "6.4.2"
}
]
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json